require_relative 'cloud_provider'

module Devops
  module Model
    class ProviderOpenstack < CloudProvider

      attr_accessor :subnets
      def initialize d={}
        super(d)
        self.subnets = d["subnets"]
      end

      def to_hash
        h = super
        h.merge!({
          "subnets" => self.subnets
        })
      end
    end
  end
end
